<template>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper" v-bind:class="{ 'no-admin': !isAuthenticated }">
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="container-fluid">
                <slot name="header"></slot>
            </div>
        <!-- /.container-fluid -->
        </div>
        <!-- Main content -->
        <section class="content">
            <slot></slot>
        </section>
    </div>
</template>

<script>
    import auth from '../auth.js';
    
    export default {
        data() {
            return {
                isAuthenticated: auth.loggedIn()
            };
        }
    };
</script>